curl --request GET \
--url https://api.withterminal.com/tsp/v1/vehicles/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Connection-Token: <connection-token>'import requests
url = "https://api.withterminal.com/tsp/v1/vehicles/{id}"
headers = {
"Connection-Token": "<connection-token>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Connection-Token': '<connection-token>', Authorization: 'Bearer <token>'}
};
fetch('https://api.withterminal.com/tsp/v1/vehicles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "vcl_01D8ZQFGHVJ858NBF2Q7DV9MNC",
"sourceId": "123456789",
"provider": "geotab",
"status": "active",
"metadata": {
"addedAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"visibility": "visible"
},
"vin": "1HGCM82633A004352",
"name": "Big Red",
"make": "Peterbilt",
"model": "Model 579",
"year": 2016,
"groups": [
"group_01D8ZQFGHVJ858NBF2Q7DV9MNC"
],
"devices": [
"dvc_01D8ZQFGHVJ858NBF2Q7DV9MNC"
],
"licensePlate": {
"state": "TN",
"number": "ABC-1234"
},
"fuelType": "diesel",
"fuelEfficiency": 27.4,
"fuelTankCapacity": 95.33,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"raw": []
}{
"code": "bad_request",
"message": "Invalid request body",
"detail": [
{
"message": "'vehicleId' property must be a valid ulid",
"path": "{requestQuery}.vehicleId",
"suggestion": "Please ensure you submit a valid 'vehicleId' property",
"context": {}
}
]
}{
"code": "unauthorized",
"message": "Unauthorized Request",
"detail": "Please ensure you have a valid API key"
}{
"code": "forbidden",
"message": "Forbidden Request",
"detail": "Please ensure the connection token matches the resource you are attempting to access."
}{
"code": "not_found",
"message": "Resource not found",
"detail": "Could not find resource with ID: 2342342"
}{
"code": "connection_deleted",
"message": "Connection has been deleted and cannot be used"
}{
"code": "too_many_requests",
"message": "Too Many Requests",
"retryAfter": 60,
"detail": "You have exceeded your rate limit. Please try again later."
}{
"code": "internal_server_error",
"message": "Internal Server Error",
"detail": "Something went wrong"
}{
"code": "gateway_timeout",
"message": "Gateway Timeout"
}Get Vehicle
Get the details of a specific vehicle
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Scopes the request to a Terminal application in the caller's organization. Required for multi-application organizations when using a user session or OAuth access token. API keys are already bound to a single application.
The token returned when a user authenticated their account. This authorizes access to a specific account.
^con_tkn_\S+$"con_tkn_22vUhkC6tgre4kwaYfUkCDA1rzn6eyb4"
Path Parameters
Unique identifier for the vehicle in Terminal.
^vcl_[0-9A-HJKMNP-TV-Z]{26}$"vcl_01D8ZQFGHVJ858NBF2Q7DV9MNC"
Query Parameters
Include raw responses used to normalize model. Used for debugging or accessing unique properties that are not unified.
Expand resources in the returned response
groups, devices, devices,groups, groups,devices Response
OK
Unique identifier for the vehicle in Terminal.
^vcl_[0-9A-HJKMNP-TV-Z]{26}$"vcl_01D8ZQFGHVJ858NBF2Q7DV9MNC"
The ID used to represent the entity in the source system.
"123456789"
Every provider has a unique code to identify it across Terminal's system. You can find each provider's code under provider details.
"geotab"
The status in the providers system
active, inactive "active"
Internal metadata about the record.
Show child attributes
Show child attributes
"1HGCM82633A004352"
"Big Red"
"Peterbilt"
"Model 579"
2016
The groups the vehicle belongs to. Use the expand query parameter to return the full entity details instead of just the ID.
"group_01D8ZQFGHVJ858NBF2Q7DV9MNC"
The devices installed in the vehicle. Use the expand query parameter to return the full entity details instead of just the ID.
"dvc_01D8ZQFGHVJ858NBF2Q7DV9MNC"
Show child attributes
Show child attributes
gasoline, diesel, propane, electric, hybrid_gasoline, hybrid_diesel, biodiesel, compressed_natural_gas, liquefied_natural_gas, ethanol, hydrogen, plug_in_hybrid "diesel"
This field will be removed in the future as is not commonly available from providers.
27.4
Maximum amount of fuel vehicle can hold in liters.
95.33
The date and time the record was created in the provider's system. This timestamp comes directly from the source system and represents when the data was originally created there. Note: not all providers expose this.
The date and time the record was updated in the provider's system. This timestamp comes directly from the source system and represents when the data was last updated there. Note: not all providers expose this.
Show child attributes
Show child attributes
[]